Subject: Re: [bug#29295] [PATCH] Few small patches for messaging.

From: Rutger Helling <[email-masked]>
Date: Tue, 21 Nov 2017 09:20:30 +0100

Hi Ludo, 

I've looked into the failing test but have been unable to fix it
unfortunately. I suspect it's an issue with freetalk though. 

When I use freetalk to try to connect to my running prosody 0.10 service
I get the same problem as with the failing test. It stays stuck on the
'Authenticating' phase. 

When I use a different client such as Pidgin to connect to my prosody
service it connects immediately. 

On 2017-11-19 23:42, [email-masked] wrote:

> Hi Rutger,
> 
> Rutger Helling <[email-masked]> skribis:
> 
>> From 1e82e72392aeef94a7c182b9d35d99a595440afb Mon Sep 17 00:00:00 2001
>> From: Rutger Helling <[email-masked]>
>> Date: Mon, 13 Nov 2017 22:39:38 +0100
>> Subject: [PATCH] gnu: c-toxcore: Update to 0.1.10.
>> 
>> * gnu/packages/messaging.scm (c-toxcore): Update to 0.1.10.
> 
> [...]
> 
>> From e88182c79be5b7792c4c5a19c2226813297b5e2d Mon Sep 17 00:00:00 2001
>> From: Rutger Helling <[email-masked]>
>> Date: Tue, 14 Nov 2017 09:00:17 +0100
>> Subject: [PATCH] gnu: qtox: Add filteraudio to inputs.
>> 
>> * gnu/packages/messaging.scm (qtox)[inputs]: Add filteraudio.
> 
> [...]
> 
>> From 4de4398248c91b335c7ae1003d7dbcd5e0262bee Mon Sep 17 00:00:00 2001
>> From: Rutger Helling <[email-masked]>
>> Date: Thu, 9 Nov 2017 10:02:32 +0100
>> Subject: [PATCH] gnu: gajim: Add python2-axolotl to inputs.
>> 
>> * gnu/packages/messaging.scm (gajim)[inputs]: Add python2-axolotl.
> 
> Applied these 3 patches.
> 
>> From f6ce3f9ac880905349f1a5ef6251b94ccdb490fa Mon Sep 17 00:00:00 2001
>> From: Rutger Helling <[email-masked]>
>> Date: Thu, 9 Nov 2017 14:02:29 +0100
>> Subject: [PATCH] gnu: prosody: Update to 0.10.0
>> 
>> ---
>> gnu/packages/messaging.scm | 4 ++--
>> 1 file changed, 2 insertions(+), 2 deletions(-)
> 
> I didn't apply this one because it breaks our system test:
> 
> make check-system TESTS=prosody
> 
> Namely, Freetalk (the XMPP client used by this test, see (gnu tests
> messaging)) produces this output:
> 
> --8<---------------cut here---------------start------------->8---
> Welcome to freetalk! Running for the first time?
> Performing some one-time initializations ... 
> Connecting ...
> Connected.
> Authenticating ...
> --8<---------------cut here---------------end--------------->8---
> 
> ... and sits there forever.
> 
> It could be an issue with the test or with Freetalk, but it seems better
> to check.  Could you take a look at what's going on?
> 
> TIA!
> 
> Ludo'.